0 Replies Latest reply on Oct 29, 2014 3:10 AM by wellie

    The link for DE 3.0 is broken.  How can I download it?

    wellie

      I can't use DE 4.0.1 as I only have Mac OSX 10.6.8

      I'm trying to download DE 3.0 or 2.0 instead but the links are broken.  What can I do?